Subject: Re: [PATCH net-next v5 13/17] net: pse-pd: Use regulator framework within PSE framework

From: Oleksij Rempel <[email-masked]>
Date: Fri, 22 Mar 2024 15:07:45 +0100

Hay Kory,

On Fri, Mar 22, 2024 at 11:39:50AM +0100, Kory Maincent wrote:
> Hello Oleksij,
> 
> On Thu, 21 Mar 2024 17:43:14 +0100
> Oleksij Rempel <[email-masked]> wrote:
> 
> > On Thu, Mar 21, 2024 at 05:15:24PM +0100, Kory Maincent wrote:
> > > Hello Oleksij,
> > > Sorry, I forgot to reply about this.
> > > This is specific to pse_regulator driver. Could we tackle this change in
> > > another patch series when the current patch series got applied?
> > > Also I don't have the hardware to test it.  
> > 
> > ACK, no problem.
> 
> I have a question unrelated to this.
> Why do you add refcount on the pse_control struct?
> The pse control is related to the RJ45 port. Each port is exclusively related
> to one pse control.
> Shouldn't we return an error in case of two get of the same pse control index?
> Do you see use cases where a pse control could be get two times?

I assume, any instance which need coordinate PSE behavior with own actions. For
example - PHY will probably need to coordinate PHY state with PSE PD
classification process.

Regards,
Oleksij
-- 
Pengutronix e.K.                           |                             |
Steuerwalder Str. 21                       | http://www.pengutronix.de/  |
31137 Hildesheim, Germany                  | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |